### Property

# Adw Banner:button-style

since: 1.7

#### Declaration

    property button-style: Adw.BannerButtonStyle [ read, write ]

#### Description [src]

The style class to use for the banner button.

When set to `ADW_BANNER_BUTTON_DEFAULT`, the button is grey. When set to `ADW_BANNER_BUTTON_SUGGESTED`, the button uses the `.suggested-action` appearance.

.

Type:`AdwBannerButtonStyle`

Available since: 1.7

Default value | ADW_BANNER_BUTTON_DEFAULT
Getter method | `adw_banner_get_button_style()`
Setter method | `adw_banner_set_button_style()`

#### Flags

Readable | yes
Writable | yes
Construct | no
Construct only | no